Page MenuHomePhabricator

Implement MCR revision retrieval legacy version
Closed, ResolvedPublic

Description

Implement the new MCR revision retrieval interface on top of the old database schema. Only the main slot is supported.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

daniel created this task.Aug 24 2017, 2:21 PM
daniel updated the task description. (Show Details)Aug 24 2017, 2:55 PM
daniel renamed this task from Implement MCR revision retrieval legacy dummy to Implement MCR revision retrieval legacy version.Aug 24 2017, 4:19 PM
daniel claimed this task.Aug 24 2017, 4:24 PM
daniel moved this task from Inbox to Future on the MediaWiki-Platform-Team board.
daniel moved this task from Inbox to Done on the Multi-Content-Revisions board.Nov 20 2017, 7:41 PM
thiemowmde triaged this task as Normal priority.Dec 11 2017, 4:04 PM

Change 374077 merged by jenkins-bot:
[mediawiki/core@master] [MCR] Break Revision into RevisionRecord and RevisionStore

https://gerrit.wikimedia.org/r/374077

Change 399174 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[mediawiki/core@master] Deprecate and gut Revision class [DNM].

https://gerrit.wikimedia.org/r/399174

Change 399174 merged by jenkins-bot:
[mediawiki/core@master] MCR: Deprecate and gut Revision class

https://gerrit.wikimedia.org/r/399174

Abit added a subscriber: Abit.Mar 6 2018, 1:35 AM

@daniel, the MCR wiki shows this task as complete, but here it is still open. Which is correct?

daniel closed this task as Resolved.Apr 19 2018, 6:29 PM

It's done and deployed.

Change 483158 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/core@master] Fix unexpected null return value in Revision::getComment

https://gerrit.wikimedia.org/r/483158

Change 484424 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/core@master] Fix documentation for Revision::getComment and WikiPage::getComment

https://gerrit.wikimedia.org/r/484424

Change 484425 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/core@master] Fix documentation for RevisionRecord::$mPageId

https://gerrit.wikimedia.org/r/484425

Change 484425 merged by jenkins-bot:
[mediawiki/core@master] Fix documentation for RevisionRecord::$mPageId

https://gerrit.wikimedia.org/r/484425

Change 484424 merged by jenkins-bot:
[mediawiki/core@master] Fix documentation for Revision::getComment and WikiPage::getComment

https://gerrit.wikimedia.org/r/484424

Change 483158 abandoned by Thiemo Kreuz (WMDE):
Fix unexpected null return value in Revision::getComment

https://gerrit.wikimedia.org/r/483158